Bug 46729 - Named Mutex handle does not exist:
Summary: Named Mutex handle does not exist:
Status: RESOLVED NOT_ON_ROADMAP
Alias: None
Product: Runtime
Classification: Mono
Component: JIT (show other bugs)
Version: 4.6.0 (C8)
Hardware: PC Linux
: --- normal
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-11-10 15:39 UTC by Roman
Modified: 2017-10-07 17:46 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED NOT_ON_ROADMAP

Description Roman 2016-11-10 15:39:22 UTC
HEllo! 
I've created application which created Mutex:

_mutex = new Mutex(false, "SlideShow");

Than I've created another application which must get mutex from first application:

Mutex mut = Mutex.OpenExisting("SlideShow");

I start first application, then I start second application and then I catch Exception: 
"Named Mutex handle does not exist: SlideShow"

Why? I don't understand!
Comment 1 Ludovic Henry 2017-10-06 23:44:13 UTC
Mono doesn't support cross-process Mutex, Semaphore and Event.
Comment 2 Roman 2017-10-07 17:46:01 UTC
It's great!!! Belissimo. But net. Framework supports it